Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037961
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2018-02-16 14:422018-02-23 09:00
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisione823ba605b22
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037961: Upgrade Jackson libraries

DescriptionUpgrade Jackson libraries from version 2.5.1 to latest version 2.9.4
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0032149 closedcaristu Upgrade Jackson libraries 
related to defect 0037962 closedcaristu API Change required for Jackson Library upgrade 

-  Notes
(0102483)
caristu (developer)
2018-02-19 09:33
edited on: 2018-02-19 10:07

Tested as in the previous upgrade. See[1].

Tested also that Analytics module[2] continues working as it contains a library[3] which references jackson-databind elements.

[1] https://issues.openbravo.com/view.php?id=32149#c84029 [^]
[2] http://centralrepository.openbravo.com/openbravo/org.openbravo.forge.ui/ForgeModuleDetail/Analytics [^]
[3] https://code.openbravo.com/erp/pmods/org.openbravo.client.analytics/file/tip/lib/runtime/jackson-module-jaxb-annotations-2.5.1.jar [^]

(0102484)
hgbot (developer)
2018-02-19 09:51

Repository: erp/devel/pi
Changeset: e823ba605b22648bf1789224d4042bbd76477291
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Feb 19 09:51:03 2018 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/e823ba605b22648bf1789224d4042bbd76477291 [^]

fixes issue 37961: Upgrade Jackson libraries

---
M legal/Licensing.txt
A lib/runtime/jackson-annotations-2.9.4.jar
A lib/runtime/jackson-core-2.9.4.jar
A lib/runtime/jackson-databind-2.9.4.jar
R lib/runtime/jackson-annotations-2.5.1.jar
R lib/runtime/jackson-core-2.5.1.jar
R lib/runtime/jackson-databind-2.5.1.jar
---
(0102775)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-16 14:42 caristu New Issue
2018-02-16 14:42 caristu Assigned To => caristu
2018-02-16 14:42 caristu Modules => Core
2018-02-16 14:42 caristu Triggers an Emergency Pack => No
2018-02-16 14:42 caristu Issue generated from 0032149
2018-02-16 14:42 caristu Relationship added related to 0032149
2018-02-16 14:44 caristu Relationship added related to 0037962
2018-02-19 09:33 caristu Note Added: 0102483
2018-02-19 09:33 caristu Note Edited: 0102483 View Revisions
2018-02-19 09:38 caristu Note Edited: 0102483 View Revisions
2018-02-19 09:51 hgbot Checkin
2018-02-19 09:51 hgbot Note Added: 0102484
2018-02-19 09:51 hgbot Status new => resolved
2018-02-19 09:51 hgbot Resolution open => fixed
2018-02-19 09:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/e823ba605b22648bf1789224d4042bbd76477291 [^]
2018-02-19 10:03 caristu Review Assigned To => alostale
2018-02-19 10:07 caristu Note Edited: 0102483 View Revisions
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102775
2018-02-23 09:00 alostale Status resolved => closed
2018-02-23 09:00 alostale Fixed in Version => 3.0PR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker